{% extends "base.html" %}

{% block content %}
<h1>Posts</h1>

<table class="table">
    <tr>
        <th>Post List for {{ date }}</th>
    </tr>

    {% for post in posts %}
    <tr>
        <td>
            {{
                post['post']
            }}
        </td>
        <td>
            <form style = "float:right" method='post' action="{{url_for('.update_emoticon')}}">
                <input type = "text" name = "post_id" style ="display: none !important" value ={{post['_id']}} />
                
                {% if post['emoticon'] == 'LIKE' %}
                     <input type = "text" name = "post_emoticon" style ="display:none !important" value ="" />
                     <input class='btnLike btn-emoticon' type='submit' value=''/> 
                {% else %}
                     <input type = "text" name = "post_emoticon" style ="display:none !important" value ="LIKE" />
                     <input class='btnLike btnUnselected' type='submit' value=''/> 
                {% endif %}
            </form>
            <form  style = "float:right" method='post' action="{{url_for('.update_emoticon')}}">
                <input type = "text" name = "post_id" style ="display:none" value ={{post['_id']}}  />
                {% if post['emoticon'] == 'HEART' %}
                     <input type = "text" name = "post_emoticon" style ="display:none" value ="" />
                     <input class='btnHeart btn-emoticon' type='submit' value=''/> 
                {% else %}
                    <input type = "text" name = "post_emoticon" style ="display:none" value ="HEART" />
                    <input class='btnHeart btnUnselected' type='submit' value=''/> 
                {% endif %}
            </form>
            <form style = "float:right" method='post' action="{{url_for('.update_emoticon')}}">
                <input type = "text" name = "post_id" style ="display:none" value ={{post['_id']}}  />
                {% if post['emoticon'] == 'HAPPY' %}
                     <input type = "text" name = "post_emoticon" style ="display:none" value ="" />
                     <input class='btnHappy btn-emoticon' type='submit' value=''/> 
                {% else %}
                     <input type = "text" name = "post_emoticon" style ="display:none" value ="HAPPY" />
                     <input class='btnHappy btnUnselected' type='submit' value=''/> 
                {% endif %}
            </form>
            <form style = "float:right" method='post' action="{{url_for('.update_emoticon')}}">
                <input type = "text" name = "post_id" style ="display:none" value ={{post['_id']}}  />
                
                {% if post['emoticon'] == 'ANGRY' %}
                     <input type = "text" name = "post_emoticon" style ="display:none" value ="" />
                     <input class='btnAngry btn-emoticon' type='submit' value=''/> 
                {% else %}
                     <input type = "text" name = "post_emoticon" style ="display:none" value ="ANGRY" />
                    <input class='btnAngry btnUnselected' type='submit' value=''/> 
                {% endif %}
            </form>
            <form style = "float:right" method='post' action="{{url_for('.delete_post')}}">
                <input type = "text" name = "post_id" style ="display:none" value ={{post['_id']}} />
                <input class='btn btnDelete' type='submit' value=''/>
            </form>
        </td>
    </tr>
    {% endfor %}

</table>

<h2>Add Post</h2>

{% with messages = get_flashed_messages(category_filter=["create_post_success"]) %}

    {% for message in messages %}
        <div class="alert alert-success alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            {{message}}
        </div>
    {% endfor %}

{% endwith%}

<form class='form-inline' method='post' action="{{url_for('.create_post')}}">
    <input class='form-control' type='text' name='new_post' placeholder='Add Post'/>
    <input class='btn btn-primary' type='submit' />
</form>

{% endblock %}